Bug 57002 - ypserve should require mawk.
Summary: ypserve should require mawk.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ypserv   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-02 22:41 UTC by Eugene Kanter
Modified: 2007-04-18 16:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-02 22:41:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eugene Kanter 2001-12-02 22:41:06 UTC
Description of Problem:

YP Makefile uses mawk, but package does not require it. Please add to .spec
file requres section.

Version-Release number of selected component (if applicable):

1.3.12-2

Comment 1 Florian La Roche 2001-12-08 21:08:24 UTC
Should be "gawk" and not mawk for Red Hat Linux.
I added an gawk require to ypserv-2.2-2 or higher.

Thanks,

Florian La Roche


Comment 2 Eugene Kanter 2001-12-10 13:39:43 UTC
ypservr has mawk hardcoded in its Makefile. Does the gawk package provide an 
executable named "mawk" or the ypserv makefile has been updated to reflect it?


Note You need to log in before you can comment on or make changes to this bug.